<?php

     if($_REQUEST['ajax']) {
        switch($_REQUEST['code']) {
            case "transno":
                ?>
                submitbutton('Simpan','','','','');
                <?php
            break;
        }       
        die("");
    }

    Getsecurity("coa_setting");

    $objAxpDB->ViewName("Daftar COA Setting");
    $objAxpDB->ViewSQL("SELECT a.fnID, a.ftCOA_No, a.ftmodule_code, a.ftCOA_LinkGL, a.ftCOA_Code, b.ftCOA_Name FROM tlcoa_setting a LEFT JOIN tlcoa b ON a.ftCOA_Code = b.ftCOA_Code WHERE a.fnstatus = 1 ORDER BY a.ftmodule_code,a.fnindex");
    $objAxpDB->ViewCaption("ID, Kode, Modul, Keterangan, No. Perkiraan, Nama Perkiraan");

    $objAxpDB->FormName("COA Setting");
    $objAxpDB->FormSQL("SELECT ftcoa_no, ftCOA_LinkGL, ftcoa_code, ftmodule_code from tlcoa_setting ");
    $objAxpDB->FormCaption(" Kode, Keterangan, No Perkiraan, Modul");
    $objAxpDB->FormPosition("TL, TL, TL, TL");
    $objAxpDB->FormLocked("1, 1, 0, 1");
    $objAxpDB->FormSize(",80");

    $objAxpDB->Lookup("ftcoa_code", "SELECT ftcoa_code, ftcoa_name FROM tlcoa WHERE RIGHT(ftcoa_code, 5) <> '.0000' ", "ftcoa_code", "ftcoa_name", -1,TRUE);

    $objAxpDB->SetStatus("id");
    if ($objAxpDB->GetStatus("id") == "") {
            $objAxpDB->ButtonShow("cetak_daftar, export_excel , tutup");
    } elseif ($objAxpDB->GetStatus("id") != 0) {
            $objAxpDB->ButtonShow("update, tutup");
    }
    
    $objAxpDB->Process();
    $objAxpDB->WriteHtmlTable();

       
?>
